[IPython-dev] unbundle libraries

Fernando Perez fperez.net@gmail....
Wed Jun 23 21:21:58 CDT 2010


Hi Tom,

On Sat, Jun 19, 2010 at 11:58 AM, Thomas Spura
<tomspur@fedoraproject.org> wrote:
>
>
> I read this list now for a while (and I am the package maintainer in
> fedora), and started working on ipython now...
>
> There is a current bug in fedora, because ipython bundles libraries
> [1], what is not allowed. So another one from fedora and I worked on
> unbundle everything, so the system ones can easily be used and you
> still don't require a hard dependency on all the libraries.
>
> This work is done in the github repository:
> http://github.com/tomspur/ipython/commits/my_bundled_libs
>
> Please have a look and hopefully pull from there :)

Thanks for this work!  We'll have a look at it next week at scipy.

>
> Just a note:
> The decorator module was a bit tricky, because some functions was
> marked as deprecated to 'import *' won't work. I import the
> update_wrapper from functools instead, as upstream suggests.
> This will require python 2.5 at least, but that won't be a problem,
> because I ought to remember, that you already require that version.
>
> Am I right?

Yes, Python 2.5 is OK for all new code in trunk.

Cheers,

f


More information about the IPython-dev mailing list